/*
 * @Descripttion:
 * @version:
 * @Author: kBank
 * @Date: 2022-11-18 10:02:06
 */
import request from '@/utils/request'

// 查询会员信息

export function getMemberList(params) {
  return request({
    url: '/member/manager/member/query-member',
    method: 'get',
    params
  })
}
export function copyPwd(params) {
  return request({
    url: '/member/manager/member/copy-pwd',
    method: 'get',
    params
  })
}
// 查询真实信息
export function memberRealInfo(params) {
  return request({
    url: '/member/manager/member/member-real-info',
    method: 'get',
    params
  })
}

// 查询隶属体系下拉选
export function getvertexValue(params) {
  return request({
    url: '/system/manage/vertex/find-all',
    method: 'get',
    params
  })
}

// 隶属团队下拉选
export function getmemberTeamList(params) {
  return request({
    url: '/member/manage/member-team/listNoPage',
    method: 'get',
    params
  })
}
// 收益状态
export function incomeStatusList(params) {
  return request({
    url: '/system/pub/enums/incomeStatus',
    method: 'get',
    params
  })
}
// 服务协议
export function serviceStatus(params) {
  return request({
    url: '/system/pub/enums/service-status',
    method: 'get',
    params
  })
}

// 获取数据类型
export function getDataType(params) {
  return request({
    url: '/system/pub/enums/data-type',
    method: 'get',
    params
  })
}

// 奖金结算
export function settleBonus(params) {
  return request({
    url: '/bonus/manage/settle/settle-bonus',
    method: 'get',
    params
  })
}

// 奖金公布
export function publishBonus(params) {
  return request({
    url: '/bonus/manage/settle/publish-bonus',
    method: 'get',
    params
  })
}
// 奖金不公布
export function noPublishBonus(params) {
  return request({
    url: '/member/manage/settle/no-publish-bonus',
    method: 'get',
    params
  })
}
// 奖金发放
export function grantBonus(params) {
  return request({
    url: '/bonus/manage/settle/grant-bonus',
    method: 'get',
    params
  })
}
// 奖金提现
export function withdrawalBonus(params) {
  return request({
    url: '/bonus/manage/settle/withdrawal-bonus',
    method: 'get',
    params
  })
}

// 账户状态下拉选
export function getaccountStatus(params) {
  return request({
    url: '/system/pub/enums/account-status',
    method: 'get',
    params
  })
}

// 钱包状态下拉选
export function getsalletStatus(params) {
  return request({
    url: '/system/pub/enums/account-member-account',
    method: 'get',
    params
  })
}

// 认证枚举下拉选
export function getattestation(params) {
  return request({
    url: '/system/pub/enums/get-yes-no-attestation',
    method: 'get',
    params
  })
}

// 营业执照 是否上传
export function getYesnouploadsList(params) {
  return request({
    url: '/system/pub/enums/get-yes-no-uploads',
    method: 'get',
    params
  })
}

// 订单状态
export function getorderStatus(params) {
  return request({
    url: '/system/pub/enums/get-order-source',
    method: 'get',
    params
  })
}

// 达标状态
export function getReachState(params) {
  return request({
    url: '/system/pub/enums/get-reach-state',
    method: 'get',
    params
  })
}
// 免密登录
export function passwordFree(params) {
  return request({
    url: '/member/manager/member/password-free',
    method: 'get',
    params
  })
}
// 乐享免密登录
export function passwordFreeLen(params) {
  return request({
    url: '/member/manager/member/password-free-len',
    method: 'get',
    params
  })
}
// 会员有效状态
export function getExpirestatus(params) {
  return request({
    url: '/system/pub/enums/get-expirestatus',
    method: 'get',
    params
  })
}
// 会员奖衔查询列表
export function member_awards(params) {
  return request({
    url: 'member/manager/member/member_awards_query',
    method: 'get',
    params
  })
}

